<?php $bsa_options = get_option($this->name); ?>
<script type="text/javascript">
function confirm_reset() {
  var answer = confirm("All of your custom messages will also be reset.  Are you sure you want to reset all settings (even widget settings)?");
  if(answer)
    return true;
  else
    return false;
}

jQuery(document).ready(function($){
  $("#enable_aab").click(function(e){
    if($(this).is(':checked')){
      $("#aab_options").slideDown();
      $(this).attry("checked",false);
    }
    else{
      $("#aab_options").slideUp();
      $(this).attry("checked",true);
    }
  });
});
</script>
<form method="post"><fieldset>
<?php
    // check options
    $default_options = $this->get_default_options();
    foreach( $default_options as $option_name => $option_value )
    {
      if ( !array_key_exists($option_name, $bsa_options) ) {
        printf('
          <div style="background-color:#FFFBCC;border:1px solid #E6DB55;margin:10px 0;padding:5px;">%s&nbsp;&nbsp;<input type="submit" name="bsa_options_upgrade_submit" value="%s &#187;"/></div>
          ',
          __('Some option settings are missing (possibly from plugin upgrade).  Please reactivate.', $this->name),
          __('Reactivate', $this->name)
        );
        break;
      }
    }

    // prepare options data for display
    if ($bsa_options['show_link']) {
      $show_link_check1 = 'checked';
      $show_link_check2 = '';
    }
    else {
      $show_link_check1 = '';
      $show_link_check2 = 'checked';
    }

    if ($bsa_options['show_ad_here']) {
      $show_ad_here_check = 'checked';
    }
    else {
      $show_ad_here_check = '';
    }

    if ($bsa_options['nofollow']) {
      $nofollow_check = 'checked';
    }
    else {
      $nofollow_check = '';
    }

    if ($bsa_options['enable_aab']) {
      $enable_aab_check = 'checked';
      $show_aab = 'block';
    }
    else {
      $enable_aab_check = '';
      $show_aab = 'none';
    }


    printf('
      <h2>%s</h2>
      <p><label>%s &nbsp; <input name="bsa_options_update[show_link]" value="on" type="radio" %s/></label></p>
      <p><label>%s <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=thaya.kareeson@gmail.com&currency_code=USD&amount=&return=&item_name=Donate+a+cup+of+coffee+or+two+to+support+Buy+Sell+Ads+WordPress+plugin.">%s</a> %s &nbsp; <input name="bsa_options_update[show_link]" value="off" type="radio" %s/></label></p>
      <h2>%s</h2>
      <p><label>%s &nbsp; <input name="bsa_options_update[show_ad_here]" type="checkbox" %s/></label></p>
      <p><label>%s &nbsp; <input name="bsa_options_update[nofollow]" type="checkbox" %s/></label></p>
      <p><label>%s<br/><textarea name="bsa_options_update[style]" style="width:300px" rows="10">%s</textarea></label></p>
      <h2>%s</h2>
      <p>%s:<br/><strong>&lt;?php bsa_zone(\'1234567\'); ?&gt;</strong></p>
      <p>%s:<br/><strong>&lt;?php bsa_zone(\'1234567\', false); ?&gt;</strong></p>
      <p>%s:<br/><strong>&lt;?php bsa_zone(\'1234567\', false, true); ?&gt;</strong></p>
      <h2>%s</h2>
      <p><label>%s &nbsp; <input id="enable_aab" name="bsa_options_update[enable_aab]" type="checkbox" %s/> &nbsp; (%s)</label></p>
      <span id="aab_options" style="display:%s">
      <p><label>%s<input name="bsa_options_update[cache_interval]" type="text" size="4" value="%s"/>%s <span class="submit"><input type="submit" name="bsa_options_clear_cache_submit" value="%s"/></span></p></label>
      <h2>%s</h2>
      <p><label>%s<input name="bsa_options_update[nonce_interval]" type="text" size="4" value="%s"/>%s</label>
      <p><label>%s<br/><input type="text" size="16" value="%s" readonly disabled/></label>
      <span class="submit"><input type="submit" name="bsa_options_regenerate_nonce_submit" value="%s"/></span></p>
      </span>
      ',
      __('Support this plugin!', $this->name),
      __('Display "Powered by Buy Sell Ads Plugin" link at the bottom of the widget', $this->name),
      $show_link_check1,
      __('Do not display "Powered by Buy Sell Ads Plugin" link.  I will ', $this->name),
      __('donate', $this->name),
      __('and/or write about this plugin', $this->name),
      $show_link_check2,
      __('Presentation', $this->name),
      __('Display "Advertise Here" placeholder', $this->name),
      $show_ad_here_check,
      __('Nofollow banner links', $this->name),
      $nofollow_check,
      __('CSS Styling for all ad zones', $this->name),
      attribute_escape($bsa_options['style']),
      __('Theme Insertion', $this->name),
      __('To insert a zone into your theme you can specify', $this->name),
      __('To insert a zone into your theme with "Show Ad Here" default banner disabled, you can specify', $this->name),
      __('To insert a zone into your theme with "Show Ad Here" default banner disabled and nofollow advertisement links, you can specify', $this->name),
      __('Performance', $this->name),
      __('Enable Anti-AdBlock', $this->name),
      $enable_aab_check,
      __('disable for better performance', $this->name),
      $show_aab,
      __('Javascript cache expires after every', $this->name),
      attribute_escape($bsa_options['cache_interval']),
      __('seconds', $this->name),
      __('Manually Clear Cache', $this->name),
      __('Anti-AdBlock', $this->name),
      __('Automatically regenerate nonce every', $this->name),
      attribute_escape($bsa_options['nonce_interval']),
      __('seconds', $this->name),
      __('Your current nonce.', $this->name),
      attribute_escape($bsa_options['nonce_proxy']),
      __('Manually Regenerate Nonce', $this->name)
    );

    if ( function_exists( 'wp_nonce_field' ) && wp_nonce_field( $this->name ) ) {
      printf('
        <p class="submit">
          <input type="submit" name="bsa_options_update_submit" value="%s &#187;" />
          <input type="submit" name="bsa_options_reset_submit" value="Reset ALL Options &#187;" onclick="return confirm_reset()"/>
        </p>
        ',
        __('Update Options', $this->name),
        __('Reset ALL Options', $this->name)
      );
    }
?>
</fieldset></form>
